<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_rond_react"
    android:orientation="vertical"
    android:padding="@dimen/dp16">

    <TextView
        android:id="@+id/tv_voucher_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:textColor="@color/color_333333"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toStartOf="@id/tv_voucher_amount_before"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="生活圈团餐无门槛代金券" />

    <TextView
        android:id="@+id/tv_voucher_amount_before"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/renminbi"
        android:textColor="@color/color_FB4653"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_voucher_name"
        app:layout_constraintEnd_toStartOf="@id/tv_voucher_amount" />

    <TextView
        android:id="@+id/tv_voucher_amount"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/color_FB4653"
        android:textSize="24sp"
        android:textStyle="bold"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_voucher_name"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="5.05" />

    <TextView
        android:id="@+id/tv_start_end_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp8"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp14"
        app:layout_constraintEnd_toStartOf="@id/tv_voucher_condition"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_voucher_name"
        tools:text="2021.07.14 14:00-21021.09.13 23:34" />

    <TextView
        android:id="@+id/tv_voucher_condition"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="end"
        android:textColor="@color/color_FB4653"
        android:textSize="14sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_start_end_time"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_start_end_time"
        tools:text="无门槛" />

    <TextView
        android:id="@+id/tv_voucher_desc"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp20"
        android:textColor="@color/color_666666"
        android:textSize="14sp"
        app:layout_constraintEnd_toStartOf="@id/tv_use_immediately"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_voucher_condition"
        tools:text="仅限生活圈午餐使用" />

    <TextView
        android:id="@+id/tv_use_immediately"
        android:layout_width="@dimen/dp70"
        android:layout_height="@dimen/dp22"
        android:background="@drawable/shape_use_immediately_coner"
        android:gravity="center"
        android:text="立即使用"
        android:textColor="@color/white"
        android:textSize="11sp"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_voucher_desc"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_voucher_condition" />

</androidx.constraintlayout.widget.ConstraintLayout>